RetryPolicy.RetryAction (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.retry, interface: RetryPolicy, class: RetryAction

Package org.apache.hadoop.io.retry

# Class RetryPolicy.RetryAction

java.lang.Object
org.apache.hadoop.io.retry.RetryPolicy.RetryAction

Enclosing interface:
  RetryPolicy

@Evolving public static class RetryPolicy.RetryAction extends Object
Returned by `RetryPolicy.shouldRetry(Exception, int, int, boolean)`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `RetryPolicy.RetryAction.RetryDecision`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final RetryPolicy.RetryAction.RetryDecision`
  `action`
  `final long`
  `delayMillis`
  `static final RetryPolicy.RetryAction`
  `FAIL`
  `static final RetryPolicy.RetryAction`
  `FAILOVER_AND_RETRY`
  `final String`
  `reason`
  `static final RetryPolicy.RetryAction`
  `RETRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RetryAction(RetryPolicy.RetryAction.RetryDecision action)`
  `RetryAction(RetryPolicy.RetryAction.RetryDecision action, long delayTime)`
  `RetryAction(RetryPolicy.RetryAction.RetryDecision action, long delayTime, String reason)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FAIL

    public static final RetryPolicy.RetryAction FAIL

  - ### RETRY

    public static final RetryPolicy.RetryAction RETRY

  - ### FAILOVER_AND_RETRY

    public static final RetryPolicy.RetryAction FAILOVER_AND_RETRY

  - ### action

    public final RetryPolicy.RetryAction.RetryDecision action

  - ### delayMillis

    public final long delayMillis

  - ### reason

    public final String reason

- ## Constructor Details

  - ### RetryAction

    public RetryAction(RetryPolicy.RetryAction.RetryDecision action)

  - ### RetryAction

    public RetryAction(RetryPolicy.RetryAction.RetryDecision action, long delayTime)

  - ### RetryAction

    public RetryAction(RetryPolicy.RetryAction.RetryDecision action, long delayTime, String reason)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`